## org.apache.xerces.impl.dv.util
Class HexBin

    java.lang.Object
      org.apache.xerces.impl.dv.util.HexBin

    public final class HexBin

extends java.lang.Object

format validation This class encodes/decodes hexadecimal data

Version:
  $Id: HexBin.java 446747 2006-09-15 21:46:20Z mrglavas $
Author:
  Jeffrey Rodriguez

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Constructor Summary
`HexBin()`

Method Summary
`static byte[]` `decode(java.lang.String encoded)` Decode hex string to a byte array
`static java.lang.String` `encode(byte[] binaryData)` Encode a byte array to hex string

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HexBin

    public HexBin()

Method Detail

### encode

    public static java.lang.String encode(byte[] binaryData)

  Encode a byte array to hex string

  Parameters:
    `binaryData` - array of byte to encode
  Returns:
    return encoded string

### decode

    public static byte[] decode(java.lang.String encoded)

  Decode hex string to a byte array

  Parameters:
    `encoded` - encoded string
  Returns:
    return array of byte to encode

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.